﻿

<head>


    <link href="~/lib/bootstrap-multiselect/bootstrap-multiselect.css" rel="stylesheet" />
    <script src="~/lib/bootstrap-multiselect/bootstrap-multiselect.js"></script>
    <link rel="stylesheet" href="@Url.ContentVersioned("~/css/site.css")" />
    <link href="~/lib/jqueryui/jquery-ui.css" rel="stylesheet" />
    <script src="~/lib/jqueryui/jquery-ui.js"></script>
    <script src="~/lib/Mask/jquery.mask.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.2.2/js/dataTables.buttons.min.js"></script>
    <script src="https://cdn.datatables.net/plug-ins/1.10.21/dataRender/datetime.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js"></script>
    <script src="https://cdn.datatables.net/select/1.3.4/js/dataTables.select.min.js"></script>
    <script src="https://cdn.datatables.net/datetime/1.1.2/js/dataTables.dateTime.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.2.2/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.2.2/js/buttons.print.min.js"></script>
    <script src="https://cdn.datatables.net/plug-ins/1.10.12/sorting/date-eu.js"></script>
</head>


<div class="row">
    <div class="col-lg-12">
        <div class="card shadow mb-4" id="filtros">
            <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold ">Relatório Planejamento</h6>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="form-group col-sm-2">
                        <label>Empresa</label>


                        <select class="form-control" id="ListaEmpresas" multiple="multiple" name="ListaEmpresas">
                            @if (ViewBag.ListaEmpresa != null)
                            {
                                foreach (var item in ViewBag.ListaEmpresa)
                                {
                                    <option value="@item.id"> @item.Nome </option>

                                }
                            }
                        </select>

                    </div>
                    <div class="form-group col-sm-2">

                        <label>Consultor</label>
                        <div id="DivValidaConsultor">
                            <select class="form-control" id="ListaConsultores" multiple="multiple" name="ListaConsultores">
                                @if (ViewBag.ListaConsultores != null)
                                    foreach (var item in ViewBag.ListaConsultores)
                                    {

                                        <option value="@item.id">
                                            @item.Nome
                                        </option>

                                    }
                            </select>
                        </div>
                    </div>
                    <div class="form-group col-sm-2">
                        <label>Centro de Custo</label>
                        <select class="form-control" id="ListaCentroCustos" name="ListaCentroCustos" multiple="multiple">
                            @if (ViewBag.ListaCentroCustos != null)

                                foreach (var item in ViewBag.ListaCentroCustos)
                                {

                                    <option value="@item.id">
                                        @item.Nome
                                    </option>

                                }
                        </select>
                    </div>


                    <div class="form-group col-sm-2">

                        <label>Especialidade</label>
                        <select class="form-control" id="ListaEspecialidades" multiple="multiple" name="ListaEspecialidades">
                            @if (ViewBag.ListaEspecialidades != null)

                                foreach (var item in ViewBag.ListaEspecialidades)
                                {

                                    <option value="@item.id">
                                        @item.DescricaoEspecialidade
                                    </option>

                                }


                        </select>

                    </div>
                    <div class="form-group col-sm-2">
                        <label>&nbsp</label><br />
                        <button class="btn btn-primary form-control" id="PesquisaVisaoPlanejado">Pesquisar</button>

                    </div>

                </div>
                <div class="row">


                    <div class="form-group col-sm-2">
                        <label>Data Inicial.</label>
                        <input type="text" id="DataInicial" autocomplete="off" class="form-control" />


                    </div>
                    <div class="form-group col-sm-2">
                        <label>Data final</label>
                        <input type="text" id="Datafinal" autocomplete="off" class="form-control" />
                    </div>

                </div>
                <div class="row ">
                    <div class=" form-group col-sm-12 h3 text-center">
                        <span id="spanMensagem" class="h3 text-danger field-validation-error"> </span>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

<br />
<div style="overflow: scroll; min-width: 100%; width: 100% ">
    <table id="tbListaRelatorioPlanejado" style="width:100%" class="table  table-bordered tabelaListaSchedule table-">
        <thead>
            <tr>
                <th style="display:none">ordem </th>
                <th>Empresa </th>
                <th>Nome</th>
                <th>Login</th>
                <th>Senioridade</th>

                <th>Contratação</th>
                <th>Início contrato</th>
                <th>Fim  contrato</th>
                <th style="width: 300px;">Especialidade</th>

                <th>Email</th>
                <th>Gestor Imediato</th>
                <th>Mês/Ano</th>
                <th>Horas Alocadas</th>

                <th>Custo</th>
                <th>C.Custo</th>
            </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
</div>




@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
<script type="text/javascript" src="@Url.ContentVersioned("~/Scripts/Visao.js")"></script>

<style>
</style>